## Exercise 1:

Create a form that contains an input and a button.

We are going to use the input to enter a category name and display all products belonging to this category.

**Requirements**

- The list of products will be an array of objects, you can use one from the previous exercises.
- Initially you should display the list of all products.
- If there are no products in this category a NotFound component will show a message.
- By typing 'all' in the input we should be able to see the entire list of products again from all the categories.